/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2009, 2010.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("bpmn2.rmps.properties.ServiceTaskSection");

dojo.require("dijit._Widget");
dojo.require("dojo.i18n");

dojo.require("rmps.app.core.util");

dojo.require("jazz.ui.ResourceLink");

dojo.requireLocalization("bpmn2.rmps.properties", "ServiceTaskSectionMessages");
	
var messages = dojo.i18n.getLocalization("bpmn2.rmps.properties", "ServiceTaskSectionMessages");

dojo.declare("bpmn2.rmps.properties.ServiceTaskSection", rmps.ui.properties.form.LabeledSection._Row, {
	
	"class": "bpmn2-rmps-properties-serviceTaskSection",
	
	templateString: '<tr>' +
				'<td style="min-width: 75px; padding-right: 5px; padding-bottom: 5px;">' +
					'<span style="white-space: nowrap;" class="label" dojoAttachPoint="labelNode">${section.label}</span>' +
				'</td>' +
				'<td style="width: 100%; padding-bottom: 5px;" dojoAttachPoint="containerNode"></td>' +
				'<td style="width: 0px; padding-bottom: 5px;"><div style="min-height: 20px; width: 0px;"></div></td>' +
			'</tr>',

	// mixin properties
	operation: null,
		
	postCreate: function() {

		if (this.operation) {
			var presentationUri = rmps.app.core.util.getViewResourceUri(this.operation.uri);
			var linkNode = dojo.create("a", {href: presentationUri}, this.containerNode);
			linkNode.appendChild(dojo.doc.createTextNode(this.operation.name));
			new jazz.ui.ResourceLink({
						retainLinkText: true, 
						lazyFetch: true, 
						uri: net.jazz.ajax._contextRoot + "/rendering?resourceUri=" +  encodeURIComponent(this.operation.uri), 
						presentationUri: presentationUri
					}, linkNode);
		}
		this.labelNode.innerHTML = messages.operation
	},
	
});

})();